package net.comp_lot.lib.imagelib;

/**
 * 絶対値で指定可能なCustomImageDataに実装するインターフェイス
 * @author pochi
 */
public abstract class AbsoluteDrawableData extends DrawableData {
	@SuppressWarnings("javadoc")
	protected int x, y, width, height;
	/**
	 * 大きさを指定する
	 * @param width 幅
	 * @param height 高さ
	 */
	public void setSizeAbsolute(int width, int height) {
		this.width = width;
		this.height = height;
	}
	
	/**
	 * 場所を指定する
	 * @param x x座標
	 * @param y y座標
	 */
	public void setPlaceAbsolute(int x, int y) {
		this.x = x;
		this.y = y;
	}
	
	/**
	 * @return 幅
	 */
	public int getWidth() {
		return width;
	}
	/**
	 * @return 高さ
	 */
	public int getHeight() {
		return height;
	}
	
	/**
	 * 範囲内に含まれているかを調べる
	 * @param x x座標
	 * @param y y座標
	 * @return 含まれているか
	 */
	public boolean contains(int x, int y) {
		return this.x < x && this.x + width > x && this.y < y && this.y + height > y;
	}
}