package net.comp_lot.lib.imagelib;

import java.awt.Color;
import java.awt.Graphics2D;
import java.awt.RenderingHints;
import java.awt.image.BufferedImage;
import java.util.List;

/**
 * 画像を生成するためのクラス
 * @author pochi
 */
public class ImageCreator {
	
	/**
	 * 画像を生成する
	 * @param list 描画するもの
	 * @param width 画像の幅
	 * @param height 画像の高さ
	 * @return 画像
	 */
	public static BufferedImage createImage(List<DrawableData> list, int width, int height) {
		BufferedImage image = new BufferedImage(width, height, BufferedImage.TYPE_INT_ARGB);
		image.setAccelerationPriority(0.8f);
		Graphics2D g2 = image.createGraphics();
		g2.setColor(Color.BLACK);
		g2.setRenderingHint(RenderingHints.KEY_TEXT_ANTIALIASING, RenderingHints.VALUE_TEXT_ANTIALIAS_ON);
		PanelInfo info = new PanelInfo();
		info.set(width, height);
		for (DrawableData data : list) {
			data.callDraw(g2, info, null);
		}
		g2.dispose();
		return image;
	}
}
