package net.comp_lot.lib.imagelib;

/**
 * 描画範囲の大きさなどの情報を持つクラス
 * @author pochi
 */
public class PanelInfo {
	float aspectRatio = 0;
	private int width, height, correctX, correctY;
	
	void set(int width, int height) {
		if (aspectRatio > 0) {
			if (1f * width / height > aspectRatio) {
				correctX = (int) ((width - height * aspectRatio) / 2);
				correctY = 0;
				this.width = (int) (height * aspectRatio);
				this.height = height;
			} else {
				correctX = 0;
				correctY = (int) ((height - width / aspectRatio) / 2);
				this.width = width;
				this.height = (int) (width / aspectRatio);
			}
		} else {
			correctX = 0;
			correctY = 0;
			this.width = width;
			this.height = height;
		}
	}
	
	/**
	 * 部分描画用
	 */
	void setPanelInfo(int x, int y, int width, int height) {
		correctX = x;
		correctY = y;
		this.width = width;
		this.height = height;
	}
	
	/**
	 * @return 表示範囲のアスペクト比
	 */
	public float getAspectRatio() {
		return aspectRatio;
	}
	/**
	 * @return 表示範囲の幅
	 */
	public int getWidth() {
		return width;
	}
	/**
	 * @return 表示範囲の高さ
	 */
	public int getHeight() {
		return height;
	}
	/**
	 * @return 表示範囲の始まるx座標
	 */
	public int getCorrectX() {
		return correctX;
	}
	/**
	 * @return 表示範囲の始まるy座標
	 */
	public int getCorrectY() {
		return correctY;
	}
}
