package net.comp_lot.lib.imagelib;

import java.awt.Graphics;
import java.util.ArrayList;
import java.util.List;

import javax.swing.JPanel;

/**
 * 領域ごとに描画するための入れ物
 * @author pochi
 */
public class PartDrawableData extends AbsoluteDrawableData {
	private List<DrawableData> list = new ArrayList<DrawableData>();
	private PanelInfo subInfo = new PanelInfo();

	/**
	 * @return データ用リスト
	 */
	public List<DrawableData> getList() {
		return list;
	}
	
	@Override
	protected void draw(Graphics g, PanelInfo info, JPanel panel) {
		if (width <= 0 || height <= 0)
			return;
		subInfo.setPanelInfo(x+info.getCorrectX(), y+info.getCorrectY(), width, height);
		for (DrawableData data : list) {
			data.callDraw(g, subInfo, panel);
		}
	}

}
