package net.comp_lot.lib.imagelib;

/**
 * 割合指定可能なテキストのクラス
 * @author pochi
 */
public class RatioTextData extends RatioDataAdapter<TextData> {
	private float size = -1;

	/**
	 * コンストラクタ
	 */
	public RatioTextData() {
		super(new TextData());
	}
	
	@Override
	protected void updateSize() {
		if (size != -1)
			get().setTextSize(getAbsoluteY(size));
	}
	
	/**
	 * 文字の大きさを設定する
	 * @param size 画面の高さに対する割合
	 */
	public void setTextSize(float size) {
		this.size = size;
	}

}
